Bug 2050345 - alert data for burn budget needs to be updated to prevent regression
Summary: alert data for burn budget needs to be updated to prevent regression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.10
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.11.0
Assignee: David Eads
QA Contact: Rahul Gangwar
URL:
Whiteboard:
Depends On:
Blocks: 2050370
TreeView+ depends on / blocked
 
Reported: 2022-02-03 18:09 UTC by David Eads
Modified: 2022-08-10 10:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-10 10:47:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26815 0 None open bug 2050345: update p99 values for disruption and alerts 2022-02-03 18:11:35 UTC
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 10:47:34 UTC

Description David Eads 2022-02-03 18:09:06 UTC
We hardcode p99 values for alert-seconds .  burn budget was recently fixed, so we need to update the values for 4.10 to prevent regressions in z-streams.

Comment 1 David Eads 2022-02-03 18:11:18 UTC
https://github.com/openshift/origin/pull/26815 fixes this

Comment 4 Rahul Gangwar 2022-02-04 16:32:49 UTC
@David As discussed with David this is not functional change only file change. https://amd64.ocp.releases.ci.openshift.org/releasestream/4.10.0-0.ci/release/4.10.0-0.ci-2022-02-04-082923 lists the PR in the change history but in bug target release 4.11. Can you please confirm on this?

Comment 5 Rahul Gangwar 2022-02-07 07:18:33 UTC
git log -4
commit 287faac66f56c565280d5fec947082c1fd413399 (HEAD -> master, origin/release-4.11, origin/master, origin/HEAD)
Merge: 4b7fedba31 88866b022f
Author: David Eads <deads2k@users.noreply.github.com>
Date:   Thu Feb 3 14:50:03 2022 -0500

    Merge pull request #26815 from deads2k/times
    
    bug 2050345: update p99 values for disruption and alerts

oc adm release info --commits registry.ci.openshift.org/ocp/release:4.11.0-0.nightly-2022-02-04-104502 | grep origin
  tests                                          https://github.com/openshift/origin                                         287faac66f56c565280d5fec947082c1fd413399

As discussed with David this is not functional change only file change, PR changes present in build, moving this bug to verified

Comment 7 errata-xmlrpc 2022-08-10 10:47:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.